# $Revision: 1.14 $, $Date: 2011/08/31 06:59:54 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries

Summary:	Library for connecting to mobile devices
Summary(pl.UTF-8):	Biblioteka do łączenia się z urządzeniami mobilnymi
Name:		libimobiledevice
Version:	1.1.1
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	cdc13037e822d9ac2e109536701d153a
Patch0:		swig2.patch
URL:		http://www.libimobiledevice.org/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.14.1
BuildRequires:	gnutls-devel >= 1.6.3
BuildRequires:	libgcrypt-devel
BuildRequires:	libplist-devel >= 0.15
BuildRequires:	libstdc++-devel
BuildRequires:	libtasn1-devel >= 1.1
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	swig-python >= 2.0.0
BuildRequires:	usbmuxd-devel >= 0.1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libimobiledevice is a library for connecting to mobile devices.

%description -l pl.UTF-8
libimobiledevice jest biblioteką do łączenia się z urządzeniami
mobilnymi.

%package devel
Summary:	Header files for libimobiledevice library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libimobiledevice
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.14.1
Requires:	gnutls-devel >= 1.6.3
Requires:	libplist-devel >= 0.15
Requires:	libtasn1-devel >= 1.1
Requires:	usbmuxd-devel >= 0.1.4

%description devel
Header files for libimobiledevice library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libimobiledevice.

%package static
Summary:	Static libimobiledevice library
Summary(pl.UTF-8):	Statyczna biblioteka libimobiledevice
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libimobiledevice library.

%description static -l pl.UTF-8
Statyczna biblioteka libimobiledevice.

%package -n python-imobiledevice
Summary:	libimobiledevice Python bindings
Summary(pl.UTF-8):	Wiązania libimobiledevice dla Pythona
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-imobiledevice
libimobiledevice Python bindings.

%description -n python-imobiledevice -l pl.UTF-8
Wiązania libimobiledevice dla Pythona.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/imobiledevice/*.{a,la}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/idevicebackup
%attr(755,root,root) %{_bindir}/idevicebackup2
%attr(755,root,root) %{_bindir}/idevicedate
%attr(755,root,root) %{_bindir}/ideviceenterrecovery
%attr(755,root,root) %{_bindir}/idevice_id
%attr(755,root,root) %{_bindir}/ideviceimagemounter
%attr(755,root,root) %{_bindir}/ideviceinfo
%attr(755,root,root) %{_bindir}/idevicepair
%attr(755,root,root) %{_bindir}/idevicescreenshot
%attr(755,root,root) %{_bindir}/idevicesyslog
%attr(755,root,root) %{_libdir}/libimobiledevice.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libimobiledevice.so.2
%{_mandir}/man1/idevicebackup.1*
%{_mandir}/man1/idevicebackup2.1*
%{_mandir}/man1/idevicedate.1*
%{_mandir}/man1/ideviceenterrecovery.1*
%{_mandir}/man1/idevice_id.1*
%{_mandir}/man1/ideviceimagemounter.1*
%{_mandir}/man1/ideviceinfo.1*
%{_mandir}/man1/idevicepair.1*
%{_mandir}/man1/idevicescreenshot.1*
%{_mandir}/man1/idevicesyslog.1*

%files devel
%defattr(644,root,root,755)
%doc docs/html/
%attr(755,root,root) %{_libdir}/libimobiledevice.so
%{_includedir}/libimobiledevice
%{_pkgconfigdir}/libimobiledevice-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libimobiledevice.a
%endif

%files -n python-imobiledevice
%defattr(644,root,root,755)
%dir %{py_sitedir}/imobiledevice
%attr(755,root,root) %{py_sitedir}/imobiledevice/_imobiledevice.so
%{py_sitedir}/imobiledevice/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libimobiledevice.spec,v $
Revision 1.14  2011/08/31 06:59:54  arekm
- release 2

Revision 1.13  2011/05/12 17:18:43  glen
- up to 1.1.1, new tool: idevicedate, also idevicebackup2

Revision 1.12  2011/04/13 11:59:27  megabajt
- removed libtool file
- release 2

Revision 1.11  2011/04/06 18:16:58  kiesiu
- merged from DEVEL
- reviewed files section

Revision 1.10  2011/03/27 19:39:44  glen
- up to 1.0.6

Revision 1.9  2011/02/13 16:11:31  sls
- bump BR: swig-python >= 2.0.0

Revision 1.8.2.1  2011/02/04 22:02:29  megabajt
- updated to 1.1.0

Revision 1.8  2011/01/29 22:46:01  sparky
- BR: libstdc++-devel, python-devel, python-modules, rpm-pythonprov

Revision 1.7  2010/12/20 18:51:26  glen
- up to 1.0.4

Revision 1.6  2010/10/14 17:52:42  glen
- up to 1.0.3

Revision 1.5  2010/07/19 09:10:33  glen
- typo

Revision 1.4  2010/07/18 12:28:44  glen
- up to 1.0.2, static_libs bcond

Revision 1.3  2010/07/09 11:18:28  arekm
- release 2

Revision 1.2  2010/06/13 11:28:01  megabajt
- updated to 1.0.1

Revision 1.1  2010/02/11 15:40:12  megabajt
- new
